SystemOrganization addCategory: #NatureOfCode!

Morph subclass: #BaseCanvasMorph
	instanceVariableNames: ''
	classVariableNames: ''
	poolDictionaries: ''
	category: 'NatureOfCode'!

!BaseCanvasMorph methodsFor: 'as yet unclassified' stamp: 'jmg 10/29/2012 18:10'!
drawOn: aCanvas 
	| transform |
	super drawOn: aCanvas.
	transform := MatrixTransform2x3 withOffset: self topLeft.
	aCanvas asBalloonCanvas
		transformBy: transform
		during: [:canvas | 
			WorldState
				addDeferredUIMessage: [Transcript show: 'Drawing called...';
						 cr].
			canvas aaLevel: 4.
			canvas
				clipBy: self bounds
				during: [:clippedCanvas | self privateDrawOn: clippedCanvas.]]! !

!BaseCanvasMorph methodsFor: 'as yet unclassified' stamp: 'jmg 10/29/2012 17:46'!
initialize
	super initialize.
	self color: (Color white).
	self extent: (640@480).! !

!BaseCanvasMorph methodsFor: 'as yet unclassified' stamp: 'jmg 10/29/2012 18:10'!
privateDrawOn: aCanvas! !

BaseCanvasMorph subclass: #RandomWalkMorph
	instanceVariableNames: 'startingPoint shouldStep'
	classVariableNames: ''
	poolDictionaries: ''
	category: 'NatureOfCode'!

!RandomWalkMorph methodsFor: 'as yet unclassified' stamp: 'jmg 10/30/2012 22:13'!
initialize
	super initialize.
	shouldStep := false.! !

!RandomWalkMorph methodsFor: 'as yet unclassified' stamp: 'jmg 10/30/2012 22:15'!
start
	shouldStep := true.
	super start.! !

!RandomWalkMorph methodsFor: 'as yet unclassified' stamp: 'jmg 10/30/2012 22:14'!
step
	shouldStep
		ifTrue: [super step. WorldState addDeferredUIMessage: [Transcript show: 'Stepping'; cr]  ]
		ifFalse: [self stopStepping]! !

!RandomWalkMorph methodsFor: 'as yet unclassified' stamp: 'jmg 10/30/2012 22:14'!
stop
	shouldStep := false.
	super stop.! !
